<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_05) on Sat Jun 07 12:11:35 EEST 2014 -->
<title>TypeSafeTextDocumentFilter</title>
<meta name="date" content="2014-06-07">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TypeSafeTextDocumentFilter";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../gr/zeus/ui/typesafe/SwingConfigurationManager.html" title="class in gr.zeus.ui.typesafe"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../gr/zeus/ui/typesafe/TypeSafeVerifier.html" title="class in gr.zeus.ui.typesafe"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html" target="_top">Frames</a></li>
<li><a href="TypeSafeTextDocumentFilter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.text.DocumentFilter">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">gr.zeus.ui.typesafe</div>
<h2 title="Class TypeSafeTextDocumentFilter" class="title">Class TypeSafeTextDocumentFilter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>javax.swing.text.DocumentFilter</li>
<li>
<ul class="inheritance">
<li>gr.zeus.ui.typesafe.TypeSafeTextDocumentFilter</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">TypeSafeTextDocumentFilter</span>
extends javax.swing.text.DocumentFilter</pre>
<div class="block">This class creates a custom filter for JTextComponents by extending the
 DocumentFilter. With this filter we achieve the following data validation
 within a field:
 <li>max characters</li>
 <li>uppercase/lowercase or not</li>
 <li>valid characters</li>
 <li>invalid characters</li>
 <li>replaceable/replaced character pairs</li>
 <p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.20</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Gregory Kotsaftis</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.javax.swing.text.DocumentFilter">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.text.DocumentFilter</h3>
<code>javax.swing.text.DocumentFilter.FilterBypass</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#DEFAULT_MAXCHARS">DEFAULT_MAXCHARS</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#TypeSafeTextDocumentFilter--">TypeSafeTextDocumentFilter</a></span>()</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#getInvalidChars--">getInvalidChars</a></span>()</code>
<div class="block">Gets invalid characters.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#getLowerCase--">getLowerCase</a></span>()</code>
<div class="block">Gets lowercase flag.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#getMaxChars--">getMaxChars</a></span>()</code>
<div class="block">Gets max characters allowed.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#getReplacableChars--">getReplacableChars</a></span>()</code>
<div class="block">Gets the replacable characters.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#getReplacedChars--">getReplacedChars</a></span>()</code>
<div class="block">Gets the replaced characters.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#getUpperCase--">getUpperCase</a></span>()</code>
<div class="block">Gets uppercase flag.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#getValidChars--">getValidChars</a></span>()</code>
<div class="block">Gets valid characters.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#insertString-javax.swing.text.DocumentFilter.FilterBypass-int-java.lang.String-javax.swing.text.AttributeSet-">insertString</a></span>(javax.swing.text.DocumentFilter.FilterBypass&nbsp;fb,
            int&nbsp;offset,
            java.lang.String&nbsp;text,
            javax.swing.text.AttributeSet&nbsp;attrs)</code>
<div class="block">Invoked prior to insertion of text into the specified Document.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#remove-javax.swing.text.DocumentFilter.FilterBypass-int-int-">remove</a></span>(javax.swing.text.DocumentFilter.FilterBypass&nbsp;fb,
      int&nbsp;offset,
      int&nbsp;length)</code>
<div class="block">Invoked prior to removal of the specified region
 in the specified Document.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#replace-javax.swing.text.DocumentFilter.FilterBypass-int-int-java.lang.String-javax.swing.text.AttributeSet-">replace</a></span>(javax.swing.text.DocumentFilter.FilterBypass&nbsp;fb,
       int&nbsp;offset,
       int&nbsp;length,
       java.lang.String&nbsp;text,
       javax.swing.text.AttributeSet&nbsp;attrs)</code>
<div class="block">Invoked prior to replacing a region of text in the specified Document.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#setInvalidChars-java.lang.String-">setInvalidChars</a></span>(java.lang.String&nbsp;all)</code>
<div class="block">Sets invalid characters.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#setLowerCase-boolean-">setLowerCase</a></span>(boolean&nbsp;f)</code>
<div class="block">Sets lowercase flag.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#setMaxChars-int-">setMaxChars</a></span>(int&nbsp;num)</code>
<div class="block">Sets max characters allowed.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#setReplacableChars-java.lang.String-">setReplacableChars</a></span>(java.lang.String&nbsp;all)</code>
<div class="block">Sets replacable characters.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#setReplacedChars-java.lang.String-">setReplacedChars</a></span>(java.lang.String&nbsp;all)</code>
<div class="block">Sets replaced characters.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#setUpperCase-boolean-">setUpperCase</a></span>(boolean&nbsp;f)</code>
<div class="block">Sets uppercase flag.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html#setValidChars-java.lang.String-">setValidChars</a></span>(java.lang.String&nbsp;all)</code>
<div class="block">Sets valid characters.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_MAXCHARS">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_MAXCHARS</h4>
<pre>public static final&nbsp;int DEFAULT_MAXCHARS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#gr.zeus.ui.typesafe.TypeSafeTextDocumentFilter.DEFAULT_MAXCHARS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TypeSafeTextDocumentFilter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TypeSafeTextDocumentFilter</h4>
<pre>public&nbsp;TypeSafeTextDocumentFilter()</pre>
<div class="block">Constructor.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="insertString-javax.swing.text.DocumentFilter.FilterBypass-int-java.lang.String-javax.swing.text.AttributeSet-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertString</h4>
<pre>public&nbsp;void&nbsp;insertString(javax.swing.text.DocumentFilter.FilterBypass&nbsp;fb,
                         int&nbsp;offset,
                         java.lang.String&nbsp;text,
                         javax.swing.text.AttributeSet&nbsp;attrs)
                  throws javax.swing.text.BadLocationException</pre>
<div class="block">Invoked prior to insertion of text into the specified Document.
 <p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>insertString</code>&nbsp;in class&nbsp;<code>javax.swing.text.DocumentFilter</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fb</code> - The FilterBypass.</dd>
<dd><code>offset</code> - The offset.</dd>
<dd><code>text</code> - The text to insert.</dd>
<dd><code>attrs</code> - The AttributeSet.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.swing.text.BadLocationException</code></dd>
</dl>
</li>
</ul>
<a name="remove-javax.swing.text.DocumentFilter.FilterBypass-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;void&nbsp;remove(javax.swing.text.DocumentFilter.FilterBypass&nbsp;fb,
                   int&nbsp;offset,
                   int&nbsp;length)
            throws javax.swing.text.BadLocationException</pre>
<div class="block">Invoked prior to removal of the specified region
 in the specified Document.
 <p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>remove</code>&nbsp;in class&nbsp;<code>javax.swing.text.DocumentFilter</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fb</code> - The FilterBypass.</dd>
<dd><code>offset</code> - The offset.</dd>
<dd><code>length</code> - The length to remove.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.swing.text.BadLocationException</code></dd>
</dl>
</li>
</ul>
<a name="replace-javax.swing.text.DocumentFilter.FilterBypass-int-int-java.lang.String-javax.swing.text.AttributeSet-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>replace</h4>
<pre>public&nbsp;void&nbsp;replace(javax.swing.text.DocumentFilter.FilterBypass&nbsp;fb,
                    int&nbsp;offset,
                    int&nbsp;length,
                    java.lang.String&nbsp;text,
                    javax.swing.text.AttributeSet&nbsp;attrs)
             throws javax.swing.text.BadLocationException</pre>
<div class="block">Invoked prior to replacing a region of text in the specified Document.
 <p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>replace</code>&nbsp;in class&nbsp;<code>javax.swing.text.DocumentFilter</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fb</code> - The FilterBypass.</dd>
<dd><code>offset</code> - The offset.</dd>
<dd><code>length</code> - The length of the text.</dd>
<dd><code>text</code> - The text to replace.</dd>
<dd><code>attrs</code> - The AttributeSet.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.swing.text.BadLocationException</code></dd>
</dl>
</li>
</ul>
<a name="getUpperCase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUpperCase</h4>
<pre>public&nbsp;boolean&nbsp;getUpperCase()</pre>
<div class="block">Gets uppercase flag.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true/false.</dd>
</dl>
</li>
</ul>
<a name="setUpperCase-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUpperCase</h4>
<pre>public&nbsp;void&nbsp;setUpperCase(boolean&nbsp;f)</pre>
<div class="block">Sets uppercase flag.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f</code> - true/false.</dd>
</dl>
</li>
</ul>
<a name="getLowerCase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLowerCase</h4>
<pre>public&nbsp;boolean&nbsp;getLowerCase()</pre>
<div class="block">Gets lowercase flag.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true/false.</dd>
</dl>
</li>
</ul>
<a name="setLowerCase-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLowerCase</h4>
<pre>public&nbsp;void&nbsp;setLowerCase(boolean&nbsp;f)</pre>
<div class="block">Sets lowercase flag.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f</code> - true/false.</dd>
</dl>
</li>
</ul>
<a name="getMaxChars--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxChars</h4>
<pre>public&nbsp;int&nbsp;getMaxChars()</pre>
<div class="block">Gets max characters allowed.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>maxChars.</dd>
</dl>
</li>
</ul>
<a name="setMaxChars-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxChars</h4>
<pre>public&nbsp;void&nbsp;setMaxChars(int&nbsp;num)</pre>
<div class="block">Sets max characters allowed.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>num</code> - maxChars.</dd>
</dl>
</li>
</ul>
<a name="getValidChars--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidChars</h4>
<pre>public&nbsp;java.lang.String&nbsp;getValidChars()</pre>
<div class="block">Gets valid characters.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>validChars.</dd>
</dl>
</li>
</ul>
<a name="setValidChars-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValidChars</h4>
<pre>public&nbsp;void&nbsp;setValidChars(java.lang.String&nbsp;all)</pre>
<div class="block">Sets valid characters.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>all</code> - validChars.</dd>
</dl>
</li>
</ul>
<a name="getInvalidChars--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvalidChars</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInvalidChars()</pre>
<div class="block">Gets invalid characters.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>invalidChars.</dd>
</dl>
</li>
</ul>
<a name="setInvalidChars-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvalidChars</h4>
<pre>public&nbsp;void&nbsp;setInvalidChars(java.lang.String&nbsp;all)</pre>
<div class="block">Sets invalid characters.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>all</code> - invalidChars.</dd>
</dl>
</li>
</ul>
<a name="getReplacableChars--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReplacableChars</h4>
<pre>public&nbsp;java.lang.String&nbsp;getReplacableChars()</pre>
<div class="block">Gets the replacable characters.
 <b>Must be used in conjuction with replaced characters.</b>
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>replacableChars.</dd>
</dl>
</li>
</ul>
<a name="setReplacableChars-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReplacableChars</h4>
<pre>public&nbsp;void&nbsp;setReplacableChars(java.lang.String&nbsp;all)</pre>
<div class="block">Sets replacable characters.
 <b>Must be used in conjuction with replaced characters.</b>
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>all</code> - replacableChars.</dd>
</dl>
</li>
</ul>
<a name="getReplacedChars--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReplacedChars</h4>
<pre>public&nbsp;java.lang.String&nbsp;getReplacedChars()</pre>
<div class="block">Gets the replaced characters.
 <b>Must be used in conjuction with replacable characters.</b>
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>replacedChars.</dd>
</dl>
</li>
</ul>
<a name="setReplacedChars-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setReplacedChars</h4>
<pre>public&nbsp;void&nbsp;setReplacedChars(java.lang.String&nbsp;all)</pre>
<div class="block">Sets replaced characters.
 <b>Must be used in conjuction with replacable characters.</b>
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>all</code> - replacedChars.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../gr/zeus/ui/typesafe/SwingConfigurationManager.html" title="class in gr.zeus.ui.typesafe"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../gr/zeus/ui/typesafe/TypeSafeVerifier.html" title="class in gr.zeus.ui.typesafe"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?gr/zeus/ui/typesafe/TypeSafeTextDocumentFilter.html" target="_top">Frames</a></li>
<li><a href="TypeSafeTextDocumentFilter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.text.DocumentFilter">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
